changeset 1004:115f429c1758 draft

[scripts/add_udpmsg4_chat] new script for chanserv
author d3v11 <d3v11@d3v11.ano>
date Sun, 02 Sep 2012 00:45:13 +0000
parents c3bf76d62a4b
children 73b7d30959af
files db/udpmsg4_chat/anonet/@/owner db/udpmsg4_chat/anonet/@/pubkey db/udpmsg4_chat/anonet/@/seckey scripts/add_udpmsg4_chat
diffstat 4 files changed, 34 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/db/udpmsg4_chat/anonet/@/owner	Sun Sep 02 00:45:13 2012 +0000
@@ -0,0 +1,1 @@
+legion
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/db/udpmsg4_chat/anonet/@/pubkey	Sun Sep 02 00:45:13 2012 +0000
@@ -0,0 +1,1 @@
+f5fc06fc146eb7ebabe2dbfa7711346703e976ba021062b4e976f9007f0dda4f
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/db/udpmsg4_chat/anonet/@/seckey	Sun Sep 02 00:45:13 2012 +0000
@@ -0,0 +1,1 @@
+f0b05bc6e944a3e9f5315df5a8b57706b25d8c02e4d86f8558664d015fb3f784
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/add_udpmsg4_chat	Sun Sep 02 00:45:13 2012 +0000
@@ -0,0 +1,31 @@
+#!/bin/sh
+if [ -z $3 ]; then
+ echo "Usage: $0 <chat> <owner> <pubkey> <seckey>" >&2; exit 255
+fi
+chat="$1"
+owner="$2"
+pubkey="$3"
+seckey="$4"
+
+if [ "$(echo -n "${chat/chat\//}" | tr -d 'A-Za-z0-9_-' | wc -c | tr -d ' \t')" != 0 ]; then
+ echo "udpmsg4 chats do not allow funny chars." >&2; exit 255
+fi
+if ((`echo -n "${chat/chat\//}" | wc -c` > 32)); then
+ echo "udpmsg4 chats cannot be greater than 32 chars." >&2; exit 255
+fi
+if [ "$(echo "$chat" | head -c5)" != chat/ ]; then
+ echo "udpmsg4 chats start with chat/." >&2; exit 255
+fi
+if ((`echo -n "$pubkey$seckey" | tr -d 'a-fA-F0-9' | wc -c | tr -d ' \t'` != 0)); then
+ echo "nacl keys are hex chars." >&2; exit 255
+fi
+if ((`echo -n "$pubkey$seckey" | wc -c` != 128)); then
+ echo "nacl keys are 64 chars." >&2; exit 255
+fi
+
+fullchat=db/udpmsg4_chat/${chat/chat\//}
+mkdir -p $fullchat || exit 1
+mkdir -p $fullchat/@ || exit 1
+echo -n "$owner" >"$fullchat/@/owner"
+echo -n "$pubkey" >"$fullchat/@/pubkey"
+echo -n "$seckey" >"$fullchat/@/seckey"